
From: Keith Owens <kaos@ocs.com.au>

scripts/reference*.pl - treat built-in.o as conglomerate.  Ignore
references from altinstructions to init text/data.

Signed-off-by: Keith Owens <kaos@ocs.com.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/scripts/reference_discarded.pl |    2 +-
 25-akpm/scripts/reference_init.pl      |    3 ++-
 2 files changed, 3 insertions(+), 2 deletions(-)

diff -puN scripts/reference_discarded.pl~scripts-referencepl-treat-built-ino-as-conglomerate scripts/reference_discarded.pl
--- 25/scripts/reference_discarded.pl~scripts-referencepl-treat-built-ino-as-conglomerate	2005-01-16 16:56:36.265600528 -0800
+++ 25-akpm/scripts/reference_discarded.pl	2005-01-16 16:56:36.269599920 -0800
@@ -62,7 +62,7 @@ foreach $object (keys(%object)) {
 		$l = read(OBJECT, $comment, $size);
 		die "read $size bytes from $object .comment failed" if ($l != $size);
 		close(OBJECT);
-		if ($comment =~ /GCC\:.*GCC\:/m) {
+		if ($comment =~ /GCC\:.*GCC\:/m || $object =~ /built-in\.o/) {
 			++$ignore;
 			delete($object{$object});
 		}
diff -puN scripts/reference_init.pl~scripts-referencepl-treat-built-ino-as-conglomerate scripts/reference_init.pl
--- 25/scripts/reference_init.pl~scripts-referencepl-treat-built-ino-as-conglomerate	2005-01-16 16:56:36.266600376 -0800
+++ 25-akpm/scripts/reference_init.pl	2005-01-16 16:56:36.270599768 -0800
@@ -70,7 +70,7 @@ foreach $object (keys(%object)) {
 		$l = read(OBJECT, $comment, $size);
 		die "read $size bytes from $object .comment failed" if ($l != $size);
 		close(OBJECT);
-		if ($comment =~ /GCC\:.*GCC\:/m) {
+		if ($comment =~ /GCC\:.*GCC\:/m || $object =~ /built-in\.o/) {
 			++$ignore;
 			delete($object{$object});
 		}
@@ -96,6 +96,7 @@ foreach $object (sort(keys(%object))) {
 		     $from !~ /\.pci_fixup_header$/ &&
 		     $from !~ /\.pci_fixup_final$/ &&
 		     $from !~ /\__param$/ &&
+		     $from !~ /\.altinstructions/ &&
 		     $from !~ /\.debug_/)) {
 			printf("Error: %s %s refers to %s\n", $object, $from, $line);
 		}
_
